LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 03-13-2011, 12:51 AM   #1
varaahan
Member
 
Registered: Jul 2005
Location: chennai, india
Distribution: Puppy, Arch Linux,Absolute Linux
Posts: 83

Rep: Reputation: 15
slapt-get problem


Hi !

Installed slackware current 08 mar 2011 and tried to update slapt-get and got the following error :

bash-4.1# slapt-get --update
Retrieving package data [ftp://ftp.slackware.com/pub/slackwar...2.2/]...Cached
Retrieving patch list [ftp://ftp.slackware.com/pub/slackwar...2.2/]...Cached
Retrieving checksum list [ftp://ftp.slackware.com/pub/slackwar...2.2/]...Cached
Retrieving checksum signature [ftp://ftp.slackware.com/pub/slackwar...2.2/]...Cached
Verifying checksum signature [ftp://ftp.slackware.com/pub/slackwar...2.2/]...GPGME: Not operational
Not Verified
Retrieving package data [http://software.jaos.org/slackpacks/12.2/]...Cached
Retrieving patch list [http://software.jaos.org/slackpacks/12.2/]...Cached
Retrieving checksum list [http://software.jaos.org/slackpacks/12.2/]...Cached
Retrieving checksum signature [http://software.jaos.org/slackpacks/12.2/]...Cached
Verifying checksum signature [http://software.jaos.org/slackpacks/12.2/]...GPGME: Not operational
Not Verified
Sources failed to download, correct sources and rerun --update

It had been along time since I tried my hands with slackware.
Any clues ?
 
Old 03-13-2011, 04:18 AM   #2
solarfields
Senior Member
 
Registered: Feb 2006
Location: Outer Shpongolia
Distribution: Slackware
Posts: 1,006

Rep: Reputation: 581Reputation: 581Reputation: 581Reputation: 581Reputation: 581Reputation: 581
seems you are trying to pull from slackware-12.2?

what do you want to use slapt-get for?
 
Old 03-13-2011, 04:28 AM   #3
varaahan
Member
 
Registered: Jul 2005
Location: chennai, india
Distribution: Puppy, Arch Linux,Absolute Linux
Posts: 83

Original Poster
Rep: Reputation: 15
Tried to install vlc
 
Old 03-13-2011, 04:46 AM   #4
solarfields
Senior Member
 
Registered: Feb 2006
Location: Outer Shpongolia
Distribution: Slackware
Posts: 1,006

Rep: Reputation: 581Reputation: 581Reputation: 581Reputation: 581Reputation: 581Reputation: 581
i have never used -current, so i cannot help you with that. However, I would recommend you use slackpkg for updating your system. There is no official package for vlc. There is a package from AlienBOB:

http://connie.slackware.com/~alien/slackbuilds/

http://connie.slackware.com/~alien/slackbuilds/vlc/pkg/

i have no idea if the package for 13.1 will work properly for -current
 
Old 03-13-2011, 04:48 AM   #5
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,892

Rep: Reputation: Disabled
yes, I use it and it works fine
 
Old 03-13-2011, 08:02 PM   #6
slackass
Member
 
Registered: Apr 2006
Location: SE Texas
Distribution: Slack64-14.2
Posts: 908

Rep: Reputation: 89
Quote:
Originally Posted by ponce View Post
yes, I use it and it works fine
Me 2
 
Old 03-13-2011, 08:50 PM   #7
hitest
Guru
 
Registered: Mar 2004
Location: Prince Rupert, B.C., Canada
Distribution: Slackware
Posts: 5,873

Rep: Reputation: 2045Reputation: 2045Reputation: 2045Reputation: 2045Reputation: 2045Reputation: 2045Reputation: 2045Reputation: 2045Reputation: 2045Reputation: 2045Reputation: 2045
Quote:
Originally Posted by varaahan View Post
Hi !

Installed slackware current 08 mar 2011 and tried to update slapt-get and got the following error :

bash-4.1# slapt-get --update
Retrieving package data [ftp://ftp.slackware.com/pub/slackwar...2.2/]...Cached
Retrieving patch list [ftp://ftp.slackware.com/pub/slackwar...2.2/]...Cached
Retrieving checksum list [ftp://ftp.slackware.com/pub/slackwar...2.2/]...Cached
Retrieving checksum signature [ftp://ftp.slackware.com/pub/slackwar...2.2/]...Cached
Verifying checksum signature [ftp://ftp.slackware.com/pub/slackwar...2.2/]...GPGME: Not operational
Not Verified
Retrieving package data [http://software.jaos.org/slackpacks/12.2/]...Cached
Retrieving patch list [http://software.jaos.org/slackpacks/12.2/]...Cached
Retrieving checksum list [http://software.jaos.org/slackpacks/12.2/]...Cached
Retrieving checksum signature [http://software.jaos.org/slackpacks/12.2/]...Cached
Verifying checksum signature [http://software.jaos.org/slackpacks/12.2/]...GPGME: Not operational
Not Verified
Sources failed to download, correct sources and rerun --update

It had been along time since I tried my hands with slackware.
Any clues ?
Well if you want to run -current then use slackpkg, that is the way to go. Edit /etc/slackpkg/mirrors. You have slapt-get pointing to slackware 12.2!

Uncomment one and only one slackware-current mirror, that is, remove the # and the space in front of the mirror of your choice. Save and exit. Then issue these commands.

# slackpkg update
# slackpkg install-new
# slackpkg upgrade-all

I happily use Alien Bob's VLC package. For more information on how to use slackpkg see the link in my signature.
 
Old 03-14-2011, 03:17 AM   #8
diwljina
Member
 
Registered: Jun 2009
Distribution: Slackware, Debian
Posts: 111

Rep: Reputation: 8
I needed VLC recently for capturing stream from IP camera (RTSP with h264 and AAC), but Eric's package is having problem with live555. I can't remember corectly what was the problem, but I decided to install it from slacky.eu. It has so many dependencies, that only option was to use slapt-get and auto dependency resolving, but I just couldn't do it to my system. I let my frend with his Ubuntu do the job. :-)
 
Old 03-14-2011, 07:16 AM   #9
Didier Spaier
LQ Addict
 
Registered: Nov 2008
Location: Paris, France
Distribution: Slint64-14.2.1.2 on Lenovo Thinkpad W520
Posts: 8,923

Rep: Reputation: Disabled
@diwljina: If i remeber well the problem with live555 has been solved. Did you try the last vlc package from Eric?

If it is still not solved better drop Eric a line or ask on #slackware on IRQ, he is there very often and is very helpful.
 
Old 03-14-2011, 12:05 PM   #10
diwljina
Member
 
Registered: Jun 2009
Distribution: Slackware, Debian
Posts: 111

Rep: Reputation: 8
It was few days ago, so it was his latest package. Anyhow, I will contact Eric next time I get my hands on that camera.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Post your slapt-getrc for slapt-get/gslapt uppman Slackware 16 05-19-2009 08:03 AM
slapt-get not calling /etc/slapt-getrc halfpower Slackware 1 04-09-2009 03:49 PM
slapt-get upgrade problem newio Slackware 5 04-13-2007 08:06 AM
slapt-get --update problem gerilaradio Slackware 6 12-14-2005 08:45 AM
/etc/slapt-getrc modification fails to influence slapt-get timsch75 Slackware 1 04-07-2004 08:48 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 12:08 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration